celix-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bjoern Petri (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CELIX-279) Celix fails to compile w/ CMake 3.3
Date Sat, 24 Oct 2015 07:06:27 GMT

    [ https://issues.apache.org/jira/browse/CELIX-279?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14972448#comment-14972448
] 

Bjoern Petri commented on CELIX-279:
------------------------------------

It seems that the behavior is caused by the following bug:
https://public.kitware.com/Bug/view.php?id=15696.

Building Celix w/ CMake 3.2 and CMake 3.4 RC2 works without a problem.  I added a check add
the beginning of our CMake Configuration:  in case CMake 3.3. is used an message is printed
asking the user to switch the CMake Version and the build is aborted. 

> Celix fails to compile w/ CMake 3.3
> -----------------------------------
>
>                 Key: CELIX-279
>                 URL: https://issues.apache.org/jira/browse/CELIX-279
>             Project: Celix
>          Issue Type: Bug
>            Reporter: Bjoern Petri
>            Assignee: Bjoern Petri
>
> Celix fails to compile with the current Cmake Version 3.3. 
> While the cmake step still works fine, the cpack step fails when executing the pre-install
target. The Logfile contains an error message stating that the Cache couldn't be found/loaded.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message